import { SITE_PREFIX } from '@@/store/localStorageKeys'
export default {
  methods: {
    doCustomRoute(additionalPath = '/') {
      let sitePrefix = localStorage.getItem(SITE_PREFIX) || ''
      let { origin } = window.location
      if (!sitePrefix || sitePrefix === '') {
        window.location = origin + additionalPath
      } else {
        window.location = origin + '/' + sitePrefix + additionalPath
      }
    },
  },
}
